{% extends 'dashboard.html.twig' %}

{% block title %}NSC Voucher | Generate{% endblock %}
{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}">
{% endblock %}

{% block body %}
    <div id="lead">
        <span>generate voucher</span>
    </div>
    <div id="content">
        {{ form_start(form) }}
        {{ form_widget(form.template, {'attr': {'class': 'template', 'placeholder': 'Choose a template ...'}}) }}
        {{ form_widget(form.name, {'attr': {'class': 'gen-in', 'placeholder': 'first and last name'}}) }}
        {{ form_widget(form.amount, {'attr': {'class': 'gen-in', 'placeholder': 'amount / name'}}) }}
        {{ form_widget(form.save, {'label': 'Generate', 'attr': {'class': 'generate-btn'}}) }}
        {{ form_end(form) }}
        <a href="{{ url('dashboard') }}"><div id="return-btn" type="submit"><i class="fas fa-long-arrow-alt-left"></i></div></a>
    </div>
{% endblock %}
